Liste les groupes clients
Retourne une liste paginée de vos groupes clients, triée par date de création par défaut. Les paramètres filters, order, limit, offset et fields permettent d'affiner la réponse.
Parameters
Header Parameters
[Authentication] Required API key.
"^[a-zA-Z0-9-]{20,64}$"Query Parameters
Maximum number of records to return
10Number of records to skip
0Sorting criteria, array of objects with field and type properties
{
"field": "created_at",
"type": "desc"
}Fields to include in the response, comma-separated or array
"id,name,created_at"Filter criteria, array of objects with field, operator and values properties.
Available operators: EQUALS, NOT_EQUALS, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, LESS_THAN, LESS_THAN_OR_EQUAL_TO, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, IN, NOT_IN, LIKE, BETWEEN, NOT_BETWEEN
{
"field": "status",
"operator": "EQUALS",
"values": "active"
}Responses
Paginated listing response.
Liste les groupes clients Retourne une liste paginée de vos groupes clients, triée par date de création par défaut. Les paramètres filters, order, limit, offset et fields permettent d'affiner la réponse. GET /v1/customers-groups listCustomersGroups Customers groups spm-api-key [Authentication] Required API key. limit Maximum number of records to return offset Number of records to skip order Sorting criteria, array of objects with field and type properties fields Fields to include in the response, comma-separated or array filters Filter criteria, array of objects with field, operator and values properties. Available operators: EQUALS, NOT_EQUALS, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, LESS_THAN, LESS_THAN_OR_EQUAL_TO, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, IN, NOT_IN, LIKE, BETWEEN, NOT_BETWEEN Paginated listing response. Client error - Invalid request or authentication issues Server error - Internal processing failure